---
- hosts: all
  any_errors_fatal: false
  environment:
    NETRC: ''
  vars:
    artefact_server: "{{ lookup('env', 'ARTEFACT_SERVER') | default('http://127.0.0.1', true) }}"
    application_version: "{{ lookup('env', 'APPLICATION_VERSION') | default('1910.1', true ) }}"
    coremedia_license_url: "{{ artefact_server }}/licenses/{{ application_version }}"

  roles:
    - role: command-line-tools
      vars:
        - artefact_url: "{{ artefact_server }}/{{ application_version }}/cae-feeder"
        - command_line_tool: caefeeder-preview-tools
        - coremedia:
            caefeeder_preview_tools:
              artefact_name: caefeeder-tools.zip
